View Issue Details

IDProjectCategoryView StatusLast Update
0031544Open CASCADEOCCT:Visualizationpublic2020-12-02 17:12
Reportervsv Assigned Tobugmaster  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Product Version7.4.0 
Target Version7.5.0Fixed in Version7.5.0 
Summary0031544: Visualization, IVtkTools_DisplayModeFilter - show boundaries of faces in shading mode of VTK presentation
DescriptionProvide possibility to show boundaries of shaded faces for VTK objects in VTK viewer.
TagsNo tags attached.
Test case numberv3d/ivtk/boundary_draw

Attached Files

  • IVtkTest.png (4,456 bytes)

Activities

git

2020-04-29 21:34

administrator   ~0091878

Branch CR0031544 has been created by vsv.

SHA-1: 4479c55a27e4d10710beff64c1252be68480af74


Detailed log of new commits:

Author: vsv
Date: Wed Apr 29 21:34:50 2020 +0300

    0031544: Visualization - show boundaries of faces in shading mode of VTK presentation

kgv

2020-04-30 11:31

developer   ~0091890

+typedef NCollection_DataMap<IVtk_DisplayMode, IVtk_IdTypeMap> IVtk_DisplayModeMap;

I think that considering current IVtk_DisplayMode definition
typedef enum
{
  DM_Wireframe = 0, //!< Wireframe display mode
  DM_Shading   = 1  //!< Shaded display mode
} IVtk_DisplayMode;

It would be simpler replacing a map with a C array (of size IVtk_DisplayMode_NB, to be added close to IVtk_DisplayMode definition).

git

2020-04-30 12:00

administrator   ~0091892

Branch CR0031544 has been deleted by vsv.

SHA-1: 4479c55a27e4d10710beff64c1252be68480af74

git

2020-05-08 18:13

administrator   ~0092018

Branch CR31544 has been created by vsv.

SHA-1: d2ce1da9eff182e1d4f4c9936c9e7afa4cd8fb88


Detailed log of new commits:

Author: vsv
Date: Fri May 8 18:14:49 2020 +0300

    0031544: Visualization - show boundaries of faces in shading mode of VTK presentation

vsv

2020-05-12 09:08

developer  

IVtkTest.png (4,456 bytes)

git

2020-05-12 09:25

administrator   ~0092069

Branch CR31544 has been updated forcibly by vsv.

SHA-1: f8cc83b1b63bdaef8b93911599ca98a8942094bf

git

2020-05-12 10:01

administrator   ~0092070

Branch CR31544 has been updated forcibly by vsv.

SHA-1: 63f38aab186452d1e0664f22975bd66d3c1119b8

git

2020-05-12 16:09

administrator   ~0092074

Branch CR31544 has been updated forcibly by vsv.

SHA-1: 093e11ba1442b3d98f2caf10f5de02f8bf1e4260

vsv

2020-05-12 18:46

developer   ~0092077

Compilation and tests of the integrated modification was finished with success:
http://vm-jenkins-test-12.nnov.opencascade.com/view/CR31544-master-vsv/

kgv

2020-05-12 18:50

developer   ~0092078

Please raise the patch in OCCT branch CR31544.

git

2020-05-15 12:36

administrator   ~0092138

Branch CR31544 has been updated forcibly by vsv.

SHA-1: 8ca560d74038a28a36798b04e5b1bd94dd4c99f1

kgv

2020-05-15 12:41

developer   ~0092139

+  IVtk_IdTypeMap*       myModesDefinition;

Please avoid redundant dynamic allocations - define array of known length.

git

2020-05-15 14:17

administrator   ~0092147

Branch CR31544 has been updated forcibly by vsv.

SHA-1: c2c7645a5adadb033e6567cbd096ad1ace59518b

vsv

2020-05-15 14:18

developer   ~0092148

Done. Dynamic allocation replaced by static array

kgv

2020-05-15 14:24

developer   ~0092150

Last edited: 2020-05-15 14:25

+ cmakebuild.bat
+ draw.bat
+ env.bat
+ msvc.bat

Unexpected local files in commit, please remove.

git

2020-05-15 14:29

administrator   ~0092151

Branch CR31544 has been updated forcibly by vsv.

SHA-1: 9422df615ab1f35496debadccb3348117c8c2d45

vsv

2020-05-15 14:30

developer   ~0092152

Done

kgv

2020-05-15 14:34

developer   ~0092154

Dear bugmaster,

please check updated patch.

bugmaster

2020-05-16 13:58

administrator   ~0092173

Combination -
OCCT branch : IR-2020-05-15
master SHA - 4db6748cc52edc0d8306eb2e436baa97d0db22a5
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-05-15 SHA - 891f2be718304b17c8581488e621b13e8a77f1c5
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17198.74000000018 / 17177.020000000186 [+0.13%]
Products
Total CPU difference: 11197.280000000079 / 11272.470000000078 [-0.67%]
Windows-64-VC14:
OCCT
Total CPU difference: 18657.328125 / 18646.015625 [+0.06%]
Products
Total CPU difference: 13005.046875 / 13180.21875 [-1.33%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-05-16 14:21

administrator   ~0092179

Branch CR31544 has been deleted by inv.

SHA-1: 9422df615ab1f35496debadccb3348117c8c2d45

Related Changesets

occt: master 4db6748c

2020-05-08 15:14:49

vsv


Committer: bugmaster Details Diff
0031544: Visualization - show boundaries of faces in shading mode of VTK presentation Affected Issues
0031544
mod - src/IVtkDraw/IVtkDraw.cxx Diff File
mod - src/IVtkTools/IVtkTools_DisplayModeFilter.cxx Diff File
mod - src/IVtkTools/IVtkTools_DisplayModeFilter.hxx Diff File
add - tests/v3d/ivtk/boundary_draw Diff File

Issue History

Date Modified Username Field Change
2020-04-29 21:28 vsv New Issue
2020-04-29 21:28 vsv Assigned To => vsv
2020-04-29 21:34 git Note Added: 0091878
2020-04-30 11:31 kgv Note Added: 0091890
2020-04-30 12:00 git Note Added: 0091892
2020-05-08 15:14 vsv Target Version 7.4.0 => 7.5.0
2020-05-08 18:13 git Note Added: 0092018
2020-05-12 09:08 vsv File Added: IVtkTest.png
2020-05-12 09:25 git Note Added: 0092069
2020-05-12 09:47 kgv Summary Visualization - show boundaries of faces in shading mode of VTK presentation => Visualization, IVtk - show boundaries of faces in shading mode of VTK presentation
2020-05-12 09:48 kgv Summary Visualization, IVtk - show boundaries of faces in shading mode of VTK presentation => Visualization, IVtkTools_DisplayModeFilter - show boundaries of faces in shading mode of VTK presentation
2020-05-12 10:01 git Note Added: 0092070
2020-05-12 16:09 git Note Added: 0092074
2020-05-12 18:46 vsv Note Added: 0092077
2020-05-12 18:46 vsv Assigned To vsv => kgv
2020-05-12 18:50 kgv Note Added: 0092078
2020-05-12 18:50 kgv Assigned To kgv => bugmaster
2020-05-12 18:50 kgv Status new => resolved
2020-05-12 18:50 kgv Status resolved => reviewed
2020-05-15 12:36 git Note Added: 0092138
2020-05-15 12:41 kgv Note Added: 0092139
2020-05-15 12:41 kgv Assigned To bugmaster => vsv
2020-05-15 12:41 kgv Status reviewed => feedback
2020-05-15 14:17 git Note Added: 0092147
2020-05-15 14:18 vsv Note Added: 0092148
2020-05-15 14:18 vsv Assigned To vsv => kgv
2020-05-15 14:24 kgv Note Added: 0092150
2020-05-15 14:25 kgv Assigned To kgv => vsv
2020-05-15 14:25 kgv Note Edited: 0092150
2020-05-15 14:29 git Note Added: 0092151
2020-05-15 14:30 vsv Note Added: 0092152
2020-05-15 14:30 vsv Assigned To vsv => kgv
2020-05-15 14:34 kgv Note Added: 0092154
2020-05-15 14:34 kgv Assigned To kgv => bugmaster
2020-05-15 14:34 kgv Status feedback => reviewed
2020-05-16 13:58 bugmaster Note Added: 0092173
2020-05-16 13:58 bugmaster Status reviewed => tested
2020-05-16 14:05 bugmaster Test case number => v3d/ivtk/boundary_draw
2020-05-16 14:07 bugmaster Changeset attached => occt master 4db6748c
2020-05-16 14:07 bugmaster Status tested => verified
2020-05-16 14:07 bugmaster Resolution open => fixed
2020-05-16 14:21 git Note Added: 0092179
2020-12-02 16:43 emo Fixed in Version => 7.5.0
2020-12-02 17:12 emo Status verified => closed